---
- hosts: all
  any_errors_fatal: false
  environment:
    NETRC: ''
#    ANSIBLE_STRATEGY: debug
  roles:
    - role: tomcat
      vars:
        - artefact_server: http://127.0.0.1
        - application_version: 1904.2
        - tomcat_artefact_url: "{{ artefact_server }}/{{ application_version }}"
    - role: user-changes
      vars:
        - artefact_server: http://127.0.0.1
        - application_version: 1904.2
        - coremedia_applications:
            user-changes:
              artefact_url: "{{ artefact_server }}/{{ application_version }}"
              artefact_name: user-changes.war
              artefact_checksum: 89eee0a2f8b771052d14f988a89636b926274b1b
